# Ganeti cluster deployment using Ansible
Setup a Ganeti cluster on Debian VMs.

## How to use
- First, edit the inventory file.
- Disable secure boot (if using UEFI).
- Then:
```sh
# allow ansible to use the ssh key
ssh-agent $SHELL
ssh-add ~/.ssh/id_rsa

# setup nodes
ansible-playbook -i inventory -u root node.yml

# setup master
ansible-playbook -i inventory -u root master.yml

# setup workers
ansible-playbook -i inventory -u root worker.yml
```

## Features
- static IP using systemd-networkd (using the last IP of the server before running the playbook)
- zfs extstorage